Package org.drinkless.tdlib

# Class TdApi.UpdateUnreadMessageCount

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateUnreadMessageCount

Enclosing class:
  `TdApi`

public static class TdApi.UpdateUnreadMessageCount extends TdApi.Update
Number of unread messages in a chat list has changed. This update is sent only if the message database is used.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.ChatList`
  `chatList`
  The chat list with changed number of unread messages.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `unreadCount`
  Total number of unread messages.
  `int`
  `unreadUnmutedCount`
  Total number of unread messages in unmuted chats.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateUnreadMessageCount()`
  Number of unread messages in a chat list has changed.
  `UpdateUnreadMessageCount(TdApi.ChatList chatList, int unreadCount, int unreadUnmutedCount)`
  Number of unread messages in a chat list has changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatList

    public TdApi.ChatList chatList
    The chat list with changed number of unread messages.

  - ### unreadCount

    public int unreadCount
    Total number of unread messages.

  - ### unreadUnmutedCount

    public int unreadUnmutedCount
    Total number of unread messages in unmuted chats.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateUnreadMessageCount

    public UpdateUnreadMessageCount()
    Number of unread messages in a chat list has changed. This update is sent only if the message database is used.

  - ### UpdateUnreadMessageCount

    public UpdateUnreadMessageCount(TdApi.ChatList chatList, int unreadCount, int unreadUnmutedCount)
    Number of unread messages in a chat list has changed. This update is sent only if the message database is used.
    Parameters:
      `chatList` - The chat list with changed number of unread messages.
      `unreadCount` - Total number of unread messages.
      `unreadUnmutedCount` - Total number of unread messages in unmuted chats.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR